// +FHDR------------------------------------------------------------
//                 Copyright (c) 2022 SmartLogic.
//                       ALL RIGHTS RESERVED
// -----------------------------------------------------------------
// Filename      : ucp_cpri_test.h
// Author        : xianfeng.du
// Created On    : 2022-10-20
// Last Modified :
// -----------------------------------------------------------------
// Description:
//
//
// -FHDR------------------------------------------------------------


#ifndef __UCP_CPRI_TESTCASE_H__
#define __UCP_CPRI_TESTCASE_H__

#include "mtimer_com.h"

int32_t fh_data_init(void);

int32_t fh_drv_init(void);

int32_t fh_csu_test_init(void);

void fh_test_case(void);

void fh_data_check(uint32_t times);

void Axc_data_init();

void Get_Cpri_OptionId();
void HeaderTxRam_data_init();
void HeaderTxRam_init();

void Cpri_Header_Rx(void);
void cpri_test_init(void);

void cpri_csu_config();
void cpri_test_tdd_csu_start();
void cpri_test_move_data();


#endif

